Contents

Navigation: »No topics above this level«

New3 VBGold ActiveResize Control V.3.3

 Return to chapter overview

The Award-Winning, Fastest VB Form Resizer Control On The Planet!

Offered at half the price of other VB form resizer controls, but with a lot more features and support for an enormous number of controls, grids and third-party controls and grids!

VBGold ActiveResize control makes your Visual Basic applications completely resolution-independent without the need to write any code! Design your applications at any screen resolution and have them run and look exactly the same at any screen resolution. This gives your applications an equally professional look and feel on all systems, resulting in increased sales of your software.

VBGold ActiveResize control automatically resizes and repositions all controls on a Visual Basic form when the form is resized either by the user or from within code. The control automatically detects the resize event of its parent form and performs a very accurate proportional resizing / repositioning on all form controls without requiring you to write a single line of code!

ActiveResize control handles virtually any type of controls. It also handles complex controls like the SSTab Tabbed Dialog control, all types of Microsoft DB Grids and Data Grids, as well as both MSFlexGrid and MSHFlexGrid. The new version (3.x) also supports all Sheridan (Infragistics) controls & Grids (SSDBGrid, SSOleDBGrid, SSDBCombo etc.), the MS Toolbar control, the MS Calendar control, the MS ListView control and the MS StatusBar control. In addition, it supports the Janus GridEx grid control, the ESRI MapObjects control (GIS control) and the 3D Active Button Magic controls. Moreover, it automatically resizes the form background picture as well as the image contents of the VB Picture Box controls.

ActiveResize control can handle any and every screen resolution at both design-time and at run-time (on both development machine and on the user machine).

ActiveResize control was perfectly optimized for maximum processing speed, resulting in a perfect, 100% flicker-free ultra-fast resizing / repositioning process that is completely invisible to the user.

ActiveResize control is available in three editions: Professional, Standard and Lite (Compare features).

red Overview red Control Features red Control Properties

red Control Methods red Control Events red Examples

red Purchase & Registration red FAQ red Contact & Support

red Redistribution red Excluding individual controls from being resized and / or repositioned

AWARDS

VBGold software wide new3 small

Copyright 2002-2018 - VBGold Software


Overview

Navigation: Contents >

New3 ActiveResize Control Overview

 Return to chapter overview

Designing VB applications with user interfaces that can display properly on any screen resolution is a quite hard task and coding is significantly time-consuming.

ActiveResize control comes to solve this problem by making your application completely resolution-independent, without the need to write any code! This enables you to design the user interface of your applications at any screen resolution and have them look exactly the same on any system with any screen resolution. This gives your applications a more professional appearance and allow them to run on the entire range of display devices.

ActiveResize control not only adjusts your forms to the active screen resolution, but also automatically resizes the height, width, font size and position of all controls on a Visual Basic form when the form loads and whenever the form is resized either by the user or by code, without requiring you to write a single line of code!

ActiveResize control can handle any type of controls and can handle even controls that are nested within container controls (e.g. controls inside picture boxes or frames). It also supports the Sheridan SSTab control (currently Microsoft Tabbed Dialog control) and any controls inserted on it. Furthermore, it can handle any type of data grids including the DBGrid, DataGrid, MSFlexGrid and MSHFlexGrid.

The new versions (3.x) of ActiveResize also support all Sheridan controls & Grids (SSDBGrid, SSOleDBGrid, SSDBCombo etc.), the MS Toolbar control, the MS Calendar control and the MS StatusBar control. In addition, it supports the Janus GridEx grid control, the ESRI MapObjects control (GIS control) and the 3D Active Button Magic controls. Moreover, it automatically resizes the form background picture and the image contents (the picture) of any Picture Box control on the form.

ActiveResize control allows you to specify a minimum and maximum height and width for your form and whether the form can be maximized and minimized to ensure that the controls on the form will always be visible correctly. Furthermore, it enables you to save the form state (its location and the size / position of all controls) and then restore the form to the last saved state at any later time. In addition, ActiveResize enables you to individually exclude any control from being resized and / or repositioned, while giving you full control over which properties of the control should be excluded when the controls are resized.

ActiveResize does all this without the need to write any code. Just drop the control on the form! It can't get easier than that!

ActiveResize is available in three versions: Professional, Standard and Lite. It works on all 32-bit and 64-bit Windows platforms and can be used in Microsoft Visual Basic version 5 & 6. The control is invisible at run-time.

Return to Contents


Control Features

Navigation: Contents >

New3 ActiveResize Control Features

 Return to chapter overview

red VBGold ActiveResize control is the fastest VB form resizer control on the planet!. Its code is perfectly optimized to achieve the highest performance possible. This means that the user of your application will never see the controls changing their sizes and positions when he/she resizes the form.

red Great processing speed even on very slow computers! ActiveResize was tested on ancient machines and has displayed an equally great performance!

red 100% flicker-free resizing / repositioning process (unlike most other resizer controls).

red Makes your applications completely resolution-independent. They will look exactly the same on all screen resolutions.

red Automatically resizes and repositions all form controls when forms load or resized without the need to write any code. The control automatically detects the Load and Resize events of its parent form and resizes / repositions the controls.

red Precisely Resizes and repositions the controls with exact proportions to the changes in the form size. Your forms will look exactly the same when they are resized.

red Allows you to specify whether the font size of control captions, control text and grid cells text of the controls should be resized when the controls are resized.

red Allows you to exclude any control(s) from being resized, repositioned or its font get resized. This gives you full control over the entire resize process.

red Allows you to save the current status of the form (its position and size/position of all controls) and restore the form status at any later time with only one line of code.

red Can handle every new control created on the form at run-time.

red Can handle any type of controls on the form, even graphics controls such as Image and Picture controls, Chart controls as well as Line and Shape controls.

red Can handle controls nested within other (container) controls.

red Can handle complex controls like the Tabbed Dialog Control (SSTab control) and all controls on it.

red Can handle all data grid controls like the DataGrid, DBGrid, MSFlexGrid, MSHFlesGrid. All columns in these controls are resized proportionally to the new size of the control.

red Handles Sheridan controls and grids like the SSDBGrid, SSOleDBGrid, SSDBCombo, etc. (New in version 3.x).

red Supports the MS Toolbar control (New in version 3.x).

red Supports the MS Calendar control (New in version 3.x).

red Supports the MS StatusBar control (New in version 3.x).

red Supports the MS ListView control (New in version 3.x).

red Resizes the image contents of Picture Box controls (New in version 3.x).

red Resizes the form background picture (New in version 3.x). The background picture is resized to cover the entire area of the form even if the picture is smaller or larger than the form size. The resizing process is 100% filcker-free and maintains the high quality of the original picture.

red Enables you to specify a minimum and maximum size for your forms. At run-time, the form can not be resized smaller or larger than the specified minimum / maximum size. This ensures that all controls on the form will be appropriately visible.

red Enables you to prevent the from from being minimized and / or maximized.

red Works with SDI, MDI child, and MDI parent forms.

red Ready to be used in your existing applications without the need to write or modify any code.

red Works with all versions of Visual Basic (5.0 and 6.0).

red Works on both 32-bit and 64-bit of all Windows versions.


Control Properties

Navigation: Contents >

ActiveResize Control Properties

 Return to chapter overview

ActiveResize Control has the following properties:

red AllowFormMaximized

red AllowFormMinimized

red AutoCenterForm

red AutoResizeControls

red AutoResizeOnLoad

red HideControlsOnResize

red MaxFormHeight

red MaxFormWidth

red MinFormHeight

red MinFormWidth

red ResizeFonts

red ResizeFormBackground

red ResizePictureBoxContents

red Resolution

red ScreenHeight

red ScreenHeightDT

red ScreenWidth

red ScreenWidthDT


AllowFormMaximized

Navigation: Contents > Control Properties >

AllowFormMaximized Property

 Return to chapter overview

Returns or sets a value that determines whether the form containing the ActiveResize control can be maximized at run-time.

Syntax

object.AllowFormMaximized [=boolean]

Where object evaluates to an ActiveResize control.

The settings for boolean are:

True (Default). Specifies that the form can be maximized at run-time.
False Specifies that the form can not be maximized at run-time.


AllowFormMinimized

Navigation: Contents > Control Properties >

AllowFormMinimized Property

 Return to chapter overview

Returns or sets a value that determines whether the form containing the ActiveResize control can be minimized at run-time.

Syntax

object.AllowFormMinimized [=boolean]

Where object evaluates to an ActiveResize control.

The settings for boolean are:

True (Default). Specifies that the form can be minimized at run-time.
False Specifies that the form can not be minimized at run-time.


AutoCenterForm

Navigation: Contents > Control Properties >

AutoCenterForm Property

 Return to chapter overview

Returns or sets a value that determines whether the form that contains the ActiveResize control will automatically be centered on the screen when it loads.

Syntax

object.AutoCenterForm [=boolean]

Where object evaluates to an ActiveResize control.

The settings for boolean are:

True Specifies that the form will be automatically centered on the screen when it loads.
False (Default). Specifies that the form will not be centered on the screen when it loads.

Remarks

By default, this property is set to False. You may set it to True if you want the form to be automatically centered on the screen when it loads.


AutoResizeControls

Navigation: Contents > Control Properties >

AutoResizeControls Property

 Return to chapter overview

Returns or sets a value that determines whether controls on the form that contains the ActiveResize control will automatically be resized when the form is resized.

Syntax

object.AutoResizeControls [=boolean]

Where object evaluates to an ActiveResize control.

The settings for boolean are:

True (Default). Specifies that the form's controls will be automatically resized when the form is resized.
False Specifies that the form's controls will not be resized when the form is resized.

Remarks

You may set this property to False to prevent ActiveResize from automatically detecting the Resize event of the form and executing the resize / reposition process. This might be useful when you want to have a full control on when the controls should be resized / repositioned by calling this method from within your code in the Form_Resize event.


AutoResizeOnLoad

Navigation: Contents > Control Properties >

AutoResizeOnLoad Property

 Return to chapter overview

Returns or sets a value that determines whether the form and all controls will automatically be resized and repositioned when the form loads.

Syntax

object.AutoResizeOnLoad [=boolean]

Where object evaluates to an ActiveResize control.

The settings for boolean are:

True (Default). Specifies that the form and all controls will be automatically resized and repositioned when the form loads.
False Specifies that the form and all controls will not be resized and repositioned when the form loads.


HideControlsOnResize

Navigation: Contents > Control Properties >

HideControlsOnResize Property

 Return to chapter overview

Returns or sets a value that determines whether the form's controls should be made invisible when the form is resized.

Syntax

object.HideControlsOnResize [=boolean]

Where object evaluates to an ActiveResize control.

The settings for boolean are:

True Specifies that the form controls should be made invisible when the form is resized.
False (Default). Specifies that the form controls should not be made invisible when the form is resized.

Remarks

By default, this property is set to False. You may set it to True if your form contains a very large number of controls or it contains such controls as Sheridan (Infragistics) grid controls (SSDBGrid, SSOleDBGrid, etc.).

Setting this property to True may greatly boost the resize process speed in some cases, especially when using such controls as Sheridan grids, since these grids refreshes every cell when the grid size is changes while the grid is visible.

By setting this property to True, the controls are made invisible while resizing the form. However, the user of your application will not notice any change in the controls visibility since this operation is executed very fast.


MaxFormHeight

Navigation: Contents > Control Properties >

MinFormHeight Property

 Return to chapter overview

Returns or sets a value that determines the minimum form height allowable when the the form is resized at run-time, either by the user or by code.

Syntax

object.MinFormHeight [=number]

Where object evaluates to an ActiveResize control.

Remarks

If number value is set to 0 (default), it specifies that the minimum form height is unlimited.


MaxFormWidth

Navigation: Contents > Control Properties >

MaxFormWidth Property

 Return to chapter overview

Returns or sets a value that determines the maximum form width allowable when the form is resized at run-time, either by the user or by code.

Syntax

object.MaxFormWidth [=number]

Where object evaluates to an ActiveResize control.

Remarks

If number value is set to 0 (default), it specifies that the maximum form width is unlimited.

Note: If this property is set and the AllowFormMaximized property is True, the form can still be maximized; however its Width can not be resized beyond the specified value when the form is resized either by dragging its border with the mouse or setting its Width through code.


MinFormHeight

Navigation: Contents > Control Properties >

MinFormHeight Property

 Return to chapter overview

Returns or sets a value that determines the minimum form height allowable when the the form is resized at run-time, either by the user or by code.

Syntax

object.MinFormHeight [=number]

Where object evaluates to an ActiveResize control.

Remarks

If number value is set to 0 (default), it specifies that the minimum form height is unlimited.


MinFormWidth

Navigation: Contents > Control Properties >

MinFormWidth Property

 Return to chapter overview

Returns or sets a value that determines the minimum form width allowable when the the form is resized at run-time, either by the user or by code.

Syntax

object.MinFormWidth [=number]

Where object evaluates to an ActiveResize control.

Remarks

If number value is set to 0 (default), it specifies that the minimum form width is unlimited.


ResizeFonts

Navigation: Contents > Control Properties >

ResizeFonts Property

 Return to chapter overview

Returns or sets a value that determines whether the fonts (captions, text, etc.) of the controls should be resized when the controls are resized.

Syntax

object.ResizeFonts [=boolean]

Where object evaluates to an ActiveResize control.

The settings for boolean are:

True (Default). Specifies that the control's fonts should be resized when the controls are resized.
False Specifies that the control's fonts should not be resized when the controls are resized.

Remarks

When the form is resized, controls captions and / or text are resized according to the Width or Height ratio of the form, whichever is smaller. For example, if the form is resized diagonally and the Width ratio (with respect to the original form Width) is 150% while the form Height ratio is 120%, all control's fonts are resized by 120%. This implementation is used to avoid clipping or wrapping of control captions or text so that fonts are displayed as properly as possible.


ResizeFormBackground

Navigation: Contents > Control Properties >

ResizeFormBackground Property

 Return to chapter overview

Returns or sets a value that determines whether the form background picture (if any) should be resized when the form is resized.

Syntax

object.ResizeFormBackground [=boolean]

Where object evaluates to an ActiveResize control.

The settings for boolean are:

True Specifies that the form background picture should be resized when the form is resized.
False (Default). Specifies that the form background picture should not be resized when the form is resized.

Remarks

If the form contains a picture in its Picture property and the ResizeFormBackground property of ActiveResize is set to True, the picture will be resized to cover the entire area of the form. If the picture is smaller or larger than the form size set at design-time, it will be stretched to cover the entire form.

The picture resizing process maintains high quality of the resized picture and is 100% flicker-free.


ResizePictureBoxContents

Navigation: Contents > Control Properties >

ResizePictureBoxContents

 Return to chapter overview

Enter topic text here.


Resolution

Navigation: Contents > Control Properties >

Resolution Property

 Return to chapter overview

Returns the current screen resolution (in pixels) for the most common screen resolutions. Read only at both design-time and run-time.

Syntax

object.Resolution

Where object evaluates to an ActiveResize control.

Remarks

The Resolution property returns an enumerated resolution value as described below:

Constant Value Description

ScrRes_640x480 0 Screen resolution is 640x480 pixels

ScrRes_720x1280 1 Screen resolution is 720x1280 pixels

ScrRes_768x1024 2 Screen resolution is 768x1024 pixels

ScrRes_768x1280 3 Screen resolution is 768x1280 pixels

ScrRes_800x600 4 Screen resolution is 800x600 pixels

ScrRes_864x1152 5 Screen resolution is 864x1152 pixels

ScrRes_900x1600 6 Screen resolution is 900x1600 pixels

ScrRes_960x1280 7 Screen resolution is 960x1280 pixels

ScrRes_1024x768 8 Screen resolution is 1024x768 pixels

ScrRes_1024x1280 9 Screen resolution is 1024x1280 pixels

ScrRes_1050x1400 10 Screen resolution is 1050x1400 pixels

ScrRes_1080x1920 11 Screen resolution is 1080x1920 pixels

ScrRes_1152x864 12 Screen resolution is 1152x864 pixels

ScrRes_1200x1600 13 Screen resolution is 1200x1600 pixels

ScrRes_1200x1920 14 Screen resolution is 1200x1920 pixels

ScrRes_1280x720 15 Screen resolution is 1280x720 pixels

ScrRes_1280x768 16 Screen resolution is 1280x768 pixels

ScrRes_1280x960 17 Screen resolution is 1280x960 pixels

ScrRes_1280x1024 18 Screen resolution is 1280x1024 pixels

ScrRes_1392x1856 19 Screen resolution is 1392x1856 pixels

ScrRes_1400x1050 20 Screen resolution is 1400x1050 pixels

ScrRes_1440x1920 21 Screen resolution is 1440x1920 pixels

ScrRes_1536x2048 22 Screen resolution is 1536x2048 pixels

ScrRes_1600x900 23 Screen resolution is 1600x900 pixels

ScrRes_1600x1200 24 Screen resolution is 1600x1200 pixels

ScrRes_1856x1392 25 Screen resolution is 1856x1392 pixels

ScrRes_1920x1080 26 Screen resolution is 1920x1080 pixels

ScrRes_1920x1200 27 Screen resolution is 1920x1200 pixels

ScrRes_1920x1440 28 Screen resolution is 1920x1440 pixels

ScrRes_2048x1536 29 Screen resolution is 2048x1536 pixels

ScrRes_Custom 99 Screen resolution is custom

Note: When screen resolution value is 99 (Res_Custom), you can determine the screen width and height from the ScreenWidth and ScreenHeight properties.

This property does not mean that ActiveResize control will function only with these screen resolutions. ActiveResize control will function on any screen resolution at both design-time and at run-time and will resize your application precisely on any and every screen resolution.


ScreenHeight

Navigation: Contents > Control Properties >

ScreenHeight Property

 Return to chapter overview

Returns the current screen height in pixels. Read-only at both design-time and run-time.

Syntax

object.ScreenHeight

Where object evaluates to an ActiveResize control.

Remarks

This property always returns the current (real) screen height at both design-time and run-time. This property differs from the ScreenHeightDT property in that it always returns the current (effective) screen height (could be different in design-time and run-time), while ScreenHeightDT always returns the screen height at which the application was designed and developed.


ScreenHeightDT

Navigation: Contents > Control Properties >

ScreenHeightDT Property

 Return to chapter overview

Returns the screen height (in pixels) of the resolution used when the application was designed. Read-only at both design-time and run-time.

Syntax

object.ScreenHeightDT

Where object evaluates to an ActiveResize control.

Remarks

At run-time, this property returns the screen height at which the application was designed and developed.


ScreenWidth

Navigation: Contents > Control Properties >

ScreenWidth Property

 Return to chapter overview

Returns the current screen width in pixels. Read-only at both design-time and run-time.

Syntax

object.ScreenWidth

Where object evaluates to an ActiveResize control.

Remarks

This property always returns the current (real) screen width at both design-time and run-time. This property differs from the ScreenWidthDT property in that it always returns the current (effective) screen width (could be different in design-time and run-time), while ScreenWidthDT always returns the screen width at which the application was designed and developed.


ScreenWidthDT

Navigation: Contents > Control Properties >

ScreenWidthDT Property

 Return to chapter overview

Returns the screen width (in pixels) of the resolution used when the application was designed. Read-only at both design-time and run-time.

Syntax

object.ScreenWidthDT

Where object evaluates to an ActiveResize control.

Remarks

At run-time, this property returns the screen width at which the application was designed and developed.


Control Methods

Navigation: Contents >

ActiveResize Control Methods

 Return to chapter overview

ActiveResize Control has the following methods:

red About

red CenterForm

red Reset

red ResizeControls

red RestoreForm

red SaveForm


About

Navigation: Contents > Control Methods >

About Method

 Return to chapter overview

Displays the 'About' information dialog for the ActiveResize Control.

Syntax

object.About

Where object evaluates to an ActiveResize control.


CenterForm

Navigation: Contents > Control Methods >

CenterForm Method

 Return to chapter overview

Centers the form on the screen.

Syntax

object.CenterForm

Where object evaluates to an ActiveResize control.

Remarks

You can use this method to center the form on the screen at any time.


Reset

Navigation: Contents > Control Methods >

Reset Method

 Return to chapter overview

Resets the ActiveResize control's saved information regarding form and controls sizes and positions and takes current information as a reference in subsequent resize actions.

Syntax

object.Reset

Where object evaluates to an ActiveResize control.

Remarks

When a form containing the ActiveResize control loads, the control captures all information regarding the form current size and the size and position of every control on the form. This information is used later on to resize and reposition the controls when the form is resized. When the Reset method is called, the control refreshes these information (captures the current sizes and positions of the controls) and uses them as a reference in the subsequent resizing operations.


ResizeControls

Navigation: Contents > Control Methods >

ResizeControls Method

 Return to chapter overview

Enables you to resize and reposition the controls on demand.

Syntax

object.ResizeControls

Where object evaluates to an ActiveResize control.

Remarks

When the AutoResizeControls property of the control is set to False, the control will not perform a resize / reposition process on the controls when the form is resized. Due to some design considerations in your application, you might not want the controls to be resized / repositioned automatically when the form is resized. In this case, you can optionally handle the triggering of the resize / reposition process by calling this method.


RestoreForm

Navigation: Contents > Control Methods >

RestoreForm Method

 Return to chapter overview

Restores a saved state of the form and all its controls.

Syntax

object.RestoreForm(FormObject, [RestoreFromPersistent], [StrApplicationName])

Where object evaluates to an ActiveResize control.

The RestoreForm method takes the following arguments:

Argument Description
FormObject Specifies the object (form object) for which the state is to be restored.
RestoreFromPersistent Optional. Boolean expression specifying whether the form state (size and position) is to be restored from a persistently saved state or a temporary saved state. Default value is False.
StrApplicationName Optional. String expression Specifying the name of the application where ActiveResize is used.

Remarks

The RestoreForm method should be called only if the form status was previously saved using the SaveForm method. If you specify a value for the RestoreFromPersistent argument, you must also specify the StrApplicationName.

The RestoreForm method can restore the form size and position from a previously saved state. The state might have been saved persistently or inpersistently, depending on the argument values specified when the SaveForm method was called.


SaveForm

Navigation: Contents > Control Methods >

SaveForm Method

 Return to chapter overview

Saves the current state of the form and all its controls.

Syntax

object.SaveForm(FormObject, [SavePersistent], [StrApplicationName])

Where object evaluates to an ActiveResize control.

The SaveForm method takes the following arguments:

Argument Description
FormObject Specifies the object (form object) for which the state is to be saved.
SavePersistent Optional. Boolean expression specifying whether the form state (size and position) is to be saved persistently. Default value is False.
StrApplicationName Optional. String expression Specifying the name of the application where ActiveResize is used.

Remarks

The SaveForm method can be used to save the current size and position of the form and all form controls so that this state can be restored later on by using the RestoreForm method. If the SavePersistent argument is specified, your must also specify the StrApplicationName.

To save the size and position of your form and enable ActiveResize to restore the last saved form size and position for every future session of your application (by calling the RestoreForm method), you must specify the SavePersistent (=True) and specify a value for the StrApplicationName argument. If SavePersistent is ignored or is set to False, the form size and position will be restored only for the current session when the RestoreForm method is called.


Control Events

Navigation: Contents >

ActiveResize Control Events

 Return to chapter overview

ActiveResize Control has the following events:

red BeforeResize

red ResizeComplete


BeforeResize

Navigation: Contents > Control Events >

BeforeResize Event

 Return to chapter overview

Triggers before ActiveResize starts to resize / reposition controls.

Syntax

Private Sub object_BeforeResize (Cancel As Boolean)

Where object evaluates to an ActiveResize control.

The settings for Cancel are:

True Specifies that ActiveResize should not resize / reposition the from controls.
False (Default). Specifies that ActiveResize should normally resize / reposition the from controls.

Remarks

Use this event to prevent ActiveResize from executing the resize / reposition process.


ResizeComplete

Navigation: Contents > Control Events >

ResizeComplete Event

 Return to chapter overview

Triggers after ActiveResize has resized / repositioned all form controls.

Syntax

Private Sub object_ResizeComplete

Where object evaluates to an ActiveResize control.

Remarks

Use this event to be notified that ActiveResize has completed the resize / reposition process for all form controls.


Examples

Navigation: Contents >

Examples

 Return to chapter overview

To take a look at the great features of ActiveResize, and the incredible simplicity of its use within your applications, please take a look at the VB demo project ActiveResizeDemo.vbp included with the setup package, or download it from the VBGold Web Site.

Remember that in most cases, you will not need to write any code in your applications! ActiveResize does the job in a fully-automatic manner.


Purchase & Registration

Navigation: Contents >

Purchase & Registration

 Return to chapter overview

ActiveResize Control is now offered at these special prices for a limited time:

red Professional Edition: US$59.95 (List price US$89.95)

red Standard Edition: US$39.95 (List price US$69.95)

You can purchase ActiveResize now online through PayPal and pay using your credit card. All major credit cards are accepted. We also accept eChecks* (electronic checks). You do not need to create a PayPal account if you do not already have one. You can pay instantly using your credit card.

Order Professional Edition:

red Purchase online with credit card

Order Standard Edition:

red Purchase online with credit card

Once your order is completed and payment is verified, you will receive an email containing instructions on how to register the control on your system. Please make sure to include your Product ID when you order. Your unique Product ID can be found in the "About" dialog of the control (can be displayed at design-time from the "About" property of the control).

Licensing (Special Offer Price)

Standard Professional

1 Developer License (1 PC) Check price Check price
2 Developer License (2 PCs) Check price Check price
5 Developer License (5 PCs) Check price Check price
10 Developer License (10 PCs) Check price Check price
Site License (unlimited PCs) Check price Check price

There are also some new license options that include free lifetime upgrades of the software. Please check our web site for details.

* Payments made using an eCheck will need up to 4 business days to complete.


FAQ

Navigation: Contents >

New3 ActiveResize Control FAQ

 Return to chapter overview

Q. What version of ActiveResize should I use with my version of Visual Basic?

A. If you have Visual Basic version 6, you should use AResize.ocx. If you have Visual Basic version 5, use AResize5.ocx. Both controls work exactly the same; the only difference is that each one of the controls has the appropriate references to the VB runtime libraries of your version of Visual Basic. Therefore, when you distribute your applications, you do not need to include different versions of the VB runtime libraries. Please note that the VB5 version of the control may be older than the VB6 version and may support less features.

Q. Do I need to register ActiveResize control on my system before starting to use it?

A. If you have downloaded the ActiveResize control file only (AResize.ocx or AResize5.ocx), you need to register it manually on your system. If you have downloaded and run the setup package of the control, there is no need to register it because the setup utility will register the control on your system. To register the control manually, use the Windows Regsvr32 utility. From the Windows Start menu, click Run and type:

For the VB6 version of ActiveResize:

Regsvr32 FolderName\AResize.ocx

For the VB5 version of ActiveResize:

Regsvr32 FolderName\AResize5.ocx

Where FolderName is the full pathname of the folder where AResize.ocx is located.

Q. On what platforms does ActiveResize run?

A. ActiveResize Control can be used on all 32-bit and 64-bit Windows platforms.

Q. Are ActiveResize run-times royalty-free?

A. Yes, the run-times are totally royalty-free. You only pay once for the developer license and use the control in all your applications and distribute any number of copies of your applications without the need to pay us anything.

Q. What libraries do I need to include with my application so that ActiveResize can work on the user system?

A. ActiveResize requires only the VB run-time libraries (either MSVBVM50.DLL or MSVBVM60.DLL depending on which version of ActiveResize you are using). You do not need any additional libraries to be included with your application when you distribute it.

Q. How can I add the ActiveResize control to my VB project?

A. From the Project menu, click Components. The Components dialog (below) opens. Click the check box to the left of the Active Resize Control and click the Apply button. The ActiveResize control will be added to the VB IDE Toolbox (shows like a color display) as shown below. Double-click on the control icon to insert it on the currently open form.

Q. What code should I write in my form for ActiveResize to work?

A. No code at all! ActiveResize automatically detects the Load and Resize events of your form, and it resizes / repositions all form controls. However, if you decide to disable the automatic resizing process of ActiveResize (by setting the AutoResizeOnLoad and AutoResizeControls properties to False), you must write one line of code that calls the ResizeControls method of the control when you need to resize the form controls. This code should normally be inserted in the Form_Resize event so that ActiveResize resizes the controls whenever the form is resized.

Q. Do I need to insert ActiveResize on each form in my application?

A. Yes. But if you want some forms not to implement the functionality of ActiveResize, then simply don't insert ActiveResize on these forms. But remember, ActiveResize not only resizes the form and its controls when the user (or code) resizes the form, but it also resizes the form when your application runs on a different screen resolution. Therefore, these forms that do not contain ActiveResize will not show properly.

Q. How can I prevent the user from resizing my forms beyond a minimum or a maximum width and height?

A. ActiveResize provides six properties that enables you to prevent the user from resizing the form beyond a minimum and maximum width and height. In addition, you can prevent the user from maximizing and / or minimizing your forms. For more information, see: AllowFormMaximized, AllowFormMinimized, MaxFormHeight, MaxFormWidth, MinFormHeight and MinFormWidth.

Q. I have several controls on a form, but I don't want some of them to be resized and / or repositioned when the form is resized, what should I do?

A. By default, ActiveResize resizes and repositions all controls on the form when the form is resized. If you want to exclude individual controls from being processed by ActiveResize, use the Tag property of these controls to specify which properties should not be processed by ActiveResize. For detailed information, refer to: Excluding individual controls from the resize / reposition process.

Q. Some of my pictures are clipped when the form is resized to a size smaller than its original size. What should I do?

A. Set the ResizePictureBoxContents property to True (v.3.1 and above). This will resize the contents (image) of the picture boxes to the new size of the picture box control whenever the control is resized. For ActiveResize versions below 3.1, you must use the VB image control (instead of the picture box) and set its Stretch property to True.

Q. Why the captions or text of some controls do not appear 'smooth' when the controls are resized?

A. The default font used by all VB controls is MS Sans Serif. This font is not a 'True Type Font' and therefore when the font size is set to a value higher than 12 or 14, the control caption or text will not have a smooth appearance. To avoid this, use a True-Type font like Arial, Times New Roman, Tahoma, etc.

Q. I don't want controls captions or text to be resized when the controls are resized. What should I do?

A. Set the ResizeFonts property of ActiveResize to False.

Q. If I create new controls on the form at run-time, would ActiveResize handle them when the form is resized?

A. Yes. After you create new control(s) at run-time, call the Reset method of the ActiveResize control. This method resets all form and controls data internally-stored inside ActiveResize, and the control will refresh its data to include the new control(s).

Q. If I move one or more controls on my form at runtime, would ActiveResize detect this?

A. No. ActiveResize does not detect the movement of controls at run-time. If you move controls on the form at run-time, you must call the Reset method so ActiveResize can refresh its internal data and will include the new controls positions.

Q. I have some data grids on my forms. Can ActiveResize handle them?

A. Yes. ActiveResize can handle any type of data grids and lists including the DBGrid, DataGrid, MSFlexGrid and the MSHFlexGrid. ActiveResize not only will resize the grid, but also will proportionally resize the cells of the grid.

Q. I have some invisible controls on my form. I make these controls visible from within my code when I need to show them to the user. Does ActiveResize handle these controls when they are invisible?

A. Yes. ActiveResize resizes and repositions all controls on the form, even those that are invisible. When these controls become visible , they will show in the appropriate positions and the appropriate sizes even if the user may have resized the form before they become visible.

Q. Does ActiveReszie support the Tabbed Dialog Control (SSTab)?

A. Yes. ActiveResize can handle the Tabbed Dialog Control and all controls contained inside it.

Q. Can I save the current size / position of my form and all its controls at run-time, and restore them at a later time during the application execution?

A. Yes. Call the SaveForm method of ActiveResize whenever you want ActiveResize to remember the current size and position of the form and all its controls. ActiveResize will store the form and its controls information internally (in its memory space). If the form is moved and / or resized (for any number of times) and then at a later time you want to restore the form and all its controls to the last saved state, call the RestoreForm method. To save the form state permanantly, and restore the state when the application is run in a later time, set the SavePersistent argument of the SaveForm to True, and then when you call the RestoreForm, specify True for the RestoreFromPersistent argument.

Q. How can I know what screen resolution my application is running on?

A. ActiveResize provides several properties that give you information about the screen resolution used at both design-time and run-time. For more information, see: Resolution, ScreenHeight, ScreenHeightDT, ScreenWidth and ScreenWidthDT.

Q. Is it possible to prevent ActiveResize from executing the resizing / repositioning process in certain cases?

A. Yes. Use the BeforeResize event of ActiveResize and set the Cancel argument to False. Another way is to set the AutoResizeControls property to False at run-time.

Q. Can I get notified when ActiveResize finishes the resizing / repositioning of the form controls?

A. Yes. Use the ResizeComplete event of ActiveResize.

Q. Why ActiveResize does not allow me to change the ScreenHeightDT and ScreenWidthDT properties in the VB IDE properties window?

A. ActiveResize will not allow you to change these design-time property values simply because it uses them to properly calculate resize ratios of the form and its controls when your application is run on a user's system with a different screen resolution.

Q. ActiveResize does not work properly on my forms; what could be the reason?

A. For ActiveResize to work properly, the ScaleMode property of the form and any controls that supports this property must be set to the default VB value (Twips). Also, make sure that your forms are shown in their full size in the VB IDE, i.e. no controls are hidden beyond the form borders. ActiveResize will resize your forms at run-time based on how they are shown at design-time.

Q. ActiveResize does not resize my ToolBar buttons...why?

A. The MS ToolBar does not allow its buttons to be resized when they contain a caption. This is by design and is indicated in the help file of the MS ToolBar control. To overcome this, just use images on the buttons (without captions) and have your captions embedded inside the the image graphics.

Q. If I purchase the VB6 version of the control, do I get the VB5 version for free?

A. Yes. The same applies if you purchase the VB5 version (you get the VB6 version for free).


Contact & Support

Navigation: Contents >

Contact & Support

 Return to chapter overview

By Email:

For general enquiries, sales, orders and technical support, please contact us at the following email addresses:

General inquiries: info@vbgold.com

Sales & Marketing: sales@vbgold.com

Customer Support: support@vbgold.com

By Phone (for sales enquiries only please, NOT for support):

US & International: +1 929 362 1120

By Live Chat:

On our home page http://www.vbgold.com click the live chat image

We are committed to provide the best technical support to our customers. We normally respond to support inquiries within a few hours. Unlike any other company, we also provide support to our customers on most weekends!

Web Site: http://www.vbgold.com

VBGold software wide new3 small


Redistribution

Navigation: Contents >

Redistribution

 Return to chapter overview

For registered users, the run-times of ActiveResize control are totally royalty-free. You can redistribute ActiveResize control with your compiled applications to your end users without the need to pay any additional fees to VBGold Software.

If you use an evaluation copy of ActiveResize, you can distribute it freely with your compiled applications to your end-users. However, if any of your users uses the control for a time period beyond the 30-day evaluation period, you must register the control.

ActiveResize control has references to the Visual Basic runtime libraries only. When you create setup packages to distribute your Visual Basic Applications, the package and deployment wizard (for VB6) or the setup wizard (for VB5) will already include the Visual Basic runtime libraries with your application. Therefore, you do not need to include any other libraries with your applications for ActiveResize to function properly on the user's system.


Excluding individual controls from being resized and / or repositioned

Navigation: Contents >

Excluding individual controls from the resize / reposition process

 Return to chapter overview

A great feature provided by ActiveResize control is its ability to exclude any control on the form from being resized and / or repositioned when the form is resized, using the powerful Exclude commands. These commands give you full control over which properties of the specific control should be excluded during the resize / reposition process. These properties include the Left, Top, Height, Width, Font, or All, as well as the X1, Y1, X2, Y2 for Line (shape) controls.

ActiveResize also provides a special command for grid controls, the Ex_Columns, which tells ActiveResize not to resize the columns of a grid, so that when the grid gets wider as the form is resized, it will display more columns rather than displaying wider columns. This command should be used in conjunction with the Ex_Font command so that the grid font size remains unsized when the grid is resized.

The Exclude Commands can be implemented by using the Tag property of the specific control(s) that you want to exclude from being resized and / or repositioned.

By using any of the following Exclude Commands in the Tag property of any control, ActiveResize will exclude the corresponding property of the specific control from being processed when the form is resized. The Exclude Commands can be used at both design-time and at run-time.

Command Description
Ex_Left Excludes the Left property of the control from being changed
Ex_Top Excludes the Top property of the control from being changed
Ex_Height Excludes the Height property of the control from being changed
Ex_Width Excludes the Width property of the control from being changed
Ex_X1 Excludes the X1 property of the control from being changed (for Line controls only)
Ex_Y1 Excludes the Y1 property of the control from being changed (for Line controls only)
Ex_X2 Excludes the X2 property of the control from being changed (for Line controls only)
Ex_Y2 Excludes the Y2 property of the control from being changed (for Line controls only)
Ex_Font Excludes the Font property of the control from being changed
Ex_Columns Excludes the width property of all grid columns from being changed
Ex_All Excludes all the above properties of the control from being changed

Remarks

The Exclude Commands can be used in any desired combinations (comma-separated), as shown below:

'Excluding the control from being repositioned

Control.Tag = Ex_Left, Ex_Top

'Excluding the control from being resized, including its font size

Control.Tag = Ex_Height, Ex_Width, Ex_Font

The use of Exclude Commands to keep certain controls from being resized / repositioned might be useful in certain cases such as when a control has to stay in a specific position on the form (e.g. At the corners or the center of the form) or when the control size should not be changed. It is also useful for such controls as the VScrollBar and HScrollBar where the Width or Height property might be kept fixed to achieve a more uniform appearance. However, you have to be careful when using the Exclude Commands to exclude controls from being resized / repositioned because once the form is resized, all controls will be resized and repositioned (by default) except the specified control(s). This may result in overlapping among controls, i.e. some controls may be positioned over or covered by other controls.


AWARDS

Navigation: Contents >

New3 VBGold ActiveResize Control Awards

 Return to chapter overview

VBGold ActiveResize Control has obtained a great number of International "Awards of Excellence", 5-Star Awards and "Editor's Pick" Awards, some are shown below.

5cup-award-1

SWJ-EdPick copy